org.eclipse.mat.ui.snapshot.views.inspector

## Class InspectorView

- java.lang.Object
- - ViewPart
  - - org.eclipse.mat.ui.snapshot.views.inspector.InspectorView

    public class InspectorView
    extends ViewPart

### Nested Class Summary

Nested Classes
`class` `InspectorView.InfoItem`

### Constructor Summary

Constructors
Constructor and Description
`InspectorView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `partActivated(IWorkbenchPart part)`
`void` `partBroughtToTop(IWorkbenchPart part)`
`void` `partClosed(IWorkbenchPart part)`
`void` `partDeactivated(IWorkbenchPart part)`
`void` `partOpened(IWorkbenchPart part)`
`void` `selectionChanged(SelectionChangedEvent event)`
`void` `setFocus()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InspectorView

    public InspectorView()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### dispose

    public void dispose()

#### setFocus

    public void setFocus()

#### partActivated

    public void partActivated(IWorkbenchPart part)

#### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPart part)

#### partClosed

    public void partClosed(IWorkbenchPart part)

#### partDeactivated

    public void partDeactivated(IWorkbenchPart part)

#### partOpened

    public void partOpened(IWorkbenchPart part)

#### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)